Bug 1207847 - Review Request: auto - A collection of source code generators for Java
Summary: Review Request: auto - A collection of source code generators for Java
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Raphael Groner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 1207948
Blocks: jclouds
TreeView+ depends on / blocked
 
Reported: 2015-03-31 20:36 UTC by gil cattaneo
Modified: 2015-06-06 00:13 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-06-06 00:13:14 UTC
projects.rg: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description gil cattaneo 2015-03-31 20:36:42 UTC
Spec URL: https://gil.fedorapeople.org/auto.spec
SRPM URL: https://gil.fedorapeople.org/auto-1.0-1.fc20.src.rpm
Description:
The Auto subprojects are a collection of code generators
that automate those types of tasks.

jclouds 1.9.0 dependency

Fedora Account System Username: gil

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=9384784

Comment 1 gil cattaneo 2015-04-01 04:42:13 UTC
Spec URL: https://gil.fedorapeople.org/auto.spec
SRPM URL: https://gil.fedorapeople.org/auto-1.0-2.fc20.src.rpm

- enable factory module

Comment 2 Raphael Groner 2015-04-04 19:38:32 UTC
This is an informal review of your spec file without any required modification. all is SHOULD only.

* Please use a more specific name to avoid any confusion. Auto is too generically though it is the upstream name.
Suggestion for a descriptive name: auto-code-generators
https://fedoraproject.org/wiki/Packaging:NamingGuidelines
> Name: auto

* Use the %{url} macro to shorten the links.
> URL:           https://github.com/google/auto
> Source0:       https://github.com/google/auto/archive/auto-value-%{version}.tar.gz
URL:           https://github.com/google/%{name}
Source0:       %{url}/archive/auto-value-%{version}.tar.gz

* Use the %{name} macro consistently: pleae replace all occurances of auto (or the final package name we chose) with the %{name} macro.

* Be more specific in the summaries of the subpackages. Given one word only seems to be too few for a descriptive summary. If in doubt, you could use %{summary} then for the %description text to have the text there, too.

* Are there no dependencies between the subpackages? Why is there a common subpackage?

Comment 3 gil cattaneo 2015-04-04 19:55:04 UTC
(In reply to Raphael Groner from comment #2)
> This is an informal review of your spec file without any required
> modification. all is SHOULD only.
> 
> * Please use a more specific name to avoid any confusion. Auto is too
> generically though it is the upstream name.
> Suggestion for a descriptive name: auto-code-generators
> https://fedoraproject.org/wiki/Packaging:NamingGuidelines
> > Name: auto
for me is enough auto

> * Use the %{url} macro to shorten the links.
> > URL:           https://github.com/google/auto
> > Source0:       https://github.com/google/auto/archive/auto-value-%{version}.tar.gz
> URL:           https://github.com/google/%{name}
> Source0:       %{url}/archive/auto-value-%{version}.tar.gz
> 
> * Use the %{name} macro consistently: pleae replace all occurances of auto
> (or the final package name we chose) with the %{name} macro.

this for me is useless, ... i not interested to use %{name} macro in the way you want it, for me it makes no sense

> * Be more specific in the summaries of the subpackages. Given one word only
> seems to be too few for a descriptive summary. If in doubt, you could use
> %{summary} then for the %description text to have the text there, too.

any ideas?

> * Are there no dependencies between the subpackages? Why is there a common
> subpackage?
dependencies are all listed
have see the source root? auto-common is a java library

Comment 4 Raphael Groner 2015-04-28 13:03:56 UTC
DEBUG util.py:388:  Error: No Package found for mvn(com.squareup.dagger:dagger-compiler)

… with fedora-review at target rawhide

Comment 5 gil cattaneo 2015-04-28 13:08:51 UTC
(In reply to Raphael Groner from comment #4)
> DEBUG util.py:388:  Error: No Package found for
> mvn(com.squareup.dagger:dagger-compiler)
> 
> … with fedora-review at target rawhide

depend on dagger rhbz#1207948

Comment 7 Raphael Groner 2015-05-14 17:36:47 UTC
- test files could be ignored cause not used.
- but main package should have correct licensed files.

Unknown or generated
--------------------
auto-auto-value-1.0/factory/src/it/functional/src/test/java/com/google/auto/factory/DependencyInjectionIntegrationTest.java
auto-auto-value-1.0/factory/src/main/java/com/google/auto/factory/processor/FactoryWriter.java
auto-auto-value-1.0/value/src/it/functional/src/main/java/com/google/auto/value/NestedValueType.java
auto-auto-value-1.0/value/src/main/java/com/google/auto/value/processor/AutoAnnotationProcessor.java
auto-auto-value-1.0/value/src/main/java/com/google/auto/value/processor/Reformatter.java
auto-auto-value-1.0/value/src/test/java/com/google/auto/value/processor/AbstractMethodExtractorTest.java
auto-auto-value-1.0/value/src/test/java/com/google/auto/value/processor/AbstractMethodListerTest.java
auto-auto-value-1.0/value/src/test/java/com/google/auto/value/processor/AutoAnnotationErrorsTest.java
auto-auto-value-1.0/value/src/test/java/com/google/auto/value/processor/CompilationTest.java
auto-auto-value-1.0/value/src/test/java/com/google/auto/value/processor/JavaTokenizerTest.java
auto-auto-value-1.0/value/src/test/java/com/google/auto/value/processor/NoVelocityLoggingTest.java
auto-auto-value-1.0/value/src/test/java/com/google/auto/value/processor/PropertyAnnotationsTest.java
auto-auto-value-1.0/value/src/test/java/com/google/auto/value/processor/ReformatterTest.java
auto-auto-value-1.0/value/src/test/java/com/google/auto/value/processor/TemplateVarsTest.java

Comment 8 Raphael Groner 2015-05-14 17:38:20 UTC
APPROVED

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "Unknown or generated". 14 files have unknown
     license. Detailed output of licensecheck in /home/build/fedora-
     review/1207847-auto/licensecheck.txt
==> OK, but please check with upstream to include correct license headers.
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[-]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 61440 bytes in 5 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It
     is pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[x]: If package contains pom.xml files install it (including metadata) even
     when building with ant
[x]: POM files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DO NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use .mfiles file list instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in auto-
     common , auto-factory , auto-service , auto-value , auto-javadoc
==> Maven.
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: auto-1.0-2.fc23.noarch.rpm
          auto-common-1.0-2.fc23.noarch.rpm
          auto-factory-1.0-2.fc23.noarch.rpm
          auto-service-1.0-2.fc23.noarch.rpm
          auto-value-1.0-2.fc23.noarch.rpm
          auto-javadoc-1.0-2.fc23.noarch.rpm
          auto-1.0-2.fc23.src.rpm
auto.noarch: W: spelling-error %description -l en_US subprojects -> sub projects, sub-projects, projects
auto-service.noarch: W: spelling-error %description -l en_US metadata -> meta data, meta-data, metatarsal
auto-service.noarch: W: spelling-error %description -l en_US util -> til, until, u til
auto-service.noarch: W: spelling-error %description -l en_US ServiceLoader -> Service Loader, Service-loader, Serviceable
auto.src: W: spelling-error %description -l en_US subprojects -> sub projects, sub-projects, projects
7 packages and 0 specfiles checked; 0 errors, 5 warnings.




Rpmlint (installed packages)
----------------------------
auto.noarch: W: spelling-error %description -l en_US subprojects -> sub projects, sub-projects, projects
auto-service.noarch: W: spelling-error %description -l en_US metadata -> meta data, meta-data, metatarsal
auto-service.noarch: W: spelling-error %description -l en_US util -> til, until, u til
auto-service.noarch: W: spelling-error %description -l en_US ServiceLoader -> Service Loader, Service-loader, Serviceable
6 packages and 0 specfiles checked; 0 errors, 4 warnings.



Requires
--------
auto (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(org.apache.maven.plugins:maven-compiler-plugin)
    mvn(org.sonatype.oss:oss-parent:pom:)

auto-value (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(com.google.auto.service:auto-service)
    mvn(com.google.auto:auto-common)
    mvn(com.google.guava:guava)
    mvn(org.apache.velocity:velocity)
    mvn(org.ow2.asm:asm)

auto-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils

auto-service (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(com.google.auto:auto-common)
    mvn(com.google.guava:guava)

auto-factory (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(com.google.auto.service:auto-service)
    mvn(com.google.guava:guava)
    mvn(com.squareup.dagger:dagger)
    mvn(com.squareup:javawriter)
    mvn(javax.inject:javax.inject)

auto-common (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(com.google.guava:guava)



Provides
--------
auto:
    auto
    mvn(com.google.auto:auto-parent:pom:)

auto-value:
    auto-value
    mvn(com.google.auto.value:auto-value)
    mvn(com.google.auto.value:auto-value:pom:)

auto-javadoc:
    auto-javadoc

auto-service:
    auto-service
    mvn(com.google.auto.service:auto-service)
    mvn(com.google.auto.service:auto-service:pom:)

auto-factory:
    auto-factory
    mvn(com.google.auto.factory:auto-factory)
    mvn(com.google.auto.factory:auto-factory:pom:)

auto-common:
    auto-common
    mvn(com.google.auto:auto-common)
    mvn(com.google.auto:auto-common:pom:)



Source checksums
----------------
https://github.com/google/auto/archive/auto-value-1.0.tar.gz :
  CHECKSUM(SHA256) this package     : dd01aeeffe21ef8d8f84293b975af71fb1a3229475da6c03f2c8c9f0e463d769
  CHECKSUM(SHA256) upstream package : dd01aeeffe21ef8d8f84293b975af71fb1a3229475da6c03f2c8c9f0e463d769


Generated by fedora-review 0.5.3 (bcf15e3) last change: 2015-05-04
Command line :/bin/fedora-review -vv -m fedora-rawhide-x86_64 -b 1207847
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 9 gil cattaneo 2015-05-14 17:59:10 UTC
(In reply to Raphael Groner from comment #7)
> - test files could be ignored cause not used.
> - but main package should have correct licensed files.
> 
> Unknown or generated
> --------------------

ASL 2.0 auto-auto-value-1.0/factory/src/main/java/com/google/auto/factory/processor/ FactoryWriter.java
ASL 2.0 auto-auto-value-1.0/value/src/main/java/com/google/auto/value/processor/
 AutoAnnotationProcessor.java
File without license
header auto-auto-value-1.0/value/src/main/java/com/google/auto/value/processor/Reformatter.java

as says the first comment this file is own by auto developer/s

The other or are suitable only for testing (src/test) and integration test (src/it), and non influence the license field

so, how the license field should change?
sorry, i dont understand
thanks

Comment 10 gil cattaneo 2015-05-14 18:00:58 UTC
again thanks!

New Package SCM Request
=======================
Package Name: auto
Short Description: A collection of source code generators for Java
Upstream URL: https://github.com/google/auto
Owners: gil
Branches: f22
InitialCC: java-sig

Comment 11 Gwyn Ciesla 2015-05-14 19:06:13 UTC
Git done (by process-git-requests).

Comment 12 Fedora Update System 2015-05-26 09:20:26 UTC
auto-1.0-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/auto-1.0-2.fc22

Comment 13 Fedora Update System 2015-05-27 16:12:48 UTC
auto-1.0-2.fc22 has been pushed to the Fedora 22 testing repository.

Comment 14 Fedora Update System 2015-06-06 00:13:14 UTC
auto-1.0-2.fc22 has been pushed to the Fedora 22 stable repository.


Note You need to log in before you can comment on or make changes to this bug.